<?php

        PG_Blocks::register_block_type( array(
            'name' => 'flexwebsite/footer',
            'title' => __( 'Footer', 'flexwebsite' ),
            'category' => 'flex',
            'render_template' => 'blocks/footer/footer.php',
            'supports' => array('color' => array('background' => false,'text' => false,'gradients' => false,'link' => false,),'typography' => array('fontSize' => false,),'anchor' => false,'align' => false,),
            'base_url' => get_template_directory_uri(),
            'base_path' => get_template_directory(),
            'js_file' => 'blocks/footer/footer.js',
            'attributes' => array(
                'logo' => array(
                    'type' => 'object',
                    'default' => array('id' => 0, 'url' => esc_url( get_template_directory_uri() . '/images/flex-ui-green.svg' ), 'size' => '')
                ),
                'tagline' => array(
                    'type' => 'text',
                    'default' => 'Launch your own Software As A Service Application with Flex Solutions.'
                ),
                'menu_1_title' => array(
                    'type' => 'text',
                    'default' => 'Product'
                ),
                'menu_2_title' => array(
                    'type' => 'text',
                    'default' => 'Remaining'
                ),
                'form_title' => array(
                    'type' => 'text',
                    'default' => 'Newsletter'
                )
            ),
            'example' => array(
'logo' => array('id' => 0, 'url' => esc_url( get_template_directory_uri() . '/images/flex-ui-green.svg' ), 'size' => ''), 'tagline' => 'Launch your own Software As A Service Application with Flex Solutions.', 'menu_1_title' => 'Product', 'menu_2_title' => 'Remaining', 'form_title' => 'Newsletter'
            ),
            'dynamic' => true
        ) );
