<?php

        PG_Blocks::register_block_type( array(
            'name' => 'flexwebsite/steps',
            'title' => __( 'Steps', 'flexwebsite' ),
            'category' => 'flex',
            'supports' => array('color' => array('background' => false,'text' => false,'gradients' => false,'link' => false,),'typography' => array('fontSize' => false,),'anchor' => false,'align' => false,),
            'base_url' => get_template_directory_uri(),
            'base_path' => get_template_directory(),
            'js_file' => 'blocks/steps/steps.js',
            'attributes' => array(
                'section_id' => array(
                    'type' => 'text',
                    'default' => ''
                ),
                'image' => array(
                    'type' => 'object',
                    'default' => array('id' => 0, 'url' => esc_url( get_template_directory_uri() . '/images/stock.png' ), 'size' => '')
                ),
                'label' => array(
                    'type' => 'text',
                    'default' => 'How it works'
                ),
                'title' => array(
                    'type' => 'text',
                    'default' => 'Gain more insight into how people use your'
                )
            ),
            'example' => array(
'section_id' => '', 'image' => array('id' => 0, 'url' => esc_url( get_template_directory_uri() . '/images/stock.png' ), 'size' => ''), 'label' => 'How it works', 'title' => 'Gain more insight into how people use your'
            ),
            'dynamic' => false,
            'has_inner_blocks' => true
        ) );
