<?php

        PG_Blocks::register_block_type( array(
            'name' => 'flexwebsite/testimonial',
            'title' => __( 'Testimonial', 'flexwebsite' ),
            'category' => 'flex',
            'supports' => array('color' => array('background' => false,'text' => false,'gradients' => false,'link' => false,),'typography' => array('fontSize' => false,),'anchor' => false,'align' => false,),
            'base_url' => get_template_directory_uri(),
            'base_path' => get_template_directory(),
            'js_file' => 'blocks/testimonial/testimonial.js',
            'attributes' => array(
                'quote' => array(
                    'type' => 'text',
                    'default' => 'The best solution for anyone who wants to work a flexible schedule but still earn a full-time income.'
                ),
                'image' => array(
                    'type' => 'object',
                    'default' => array('id' => 0, 'url' => esc_url( get_template_directory_uri() . '/images/avatar1.png' ), 'size' => '')
                ),
                'name' => array(
                    'type' => 'text',
                    'default' => 'Darren Dunlap'
                ),
                'position' => array(
                    'type' => 'text',
                    'default' => 'CEO &amp; Founder at Flex.co'
                )
            ),
            'example' => array(
'quote' => 'The best solution for anyone who wants to work a flexible schedule but still earn a full-time income.', 'image' => array('id' => 0, 'url' => esc_url( get_template_directory_uri() . '/images/avatar1.png' ), 'size' => ''), 'name' => 'Darren Dunlap', 'position' => 'CEO &amp; Founder at Flex.co'
            ),
            'dynamic' => false
        ) );
