<?php

        PG_Blocks::register_block_type( array(
            'name' => 'flexwebsite/navigation',
            'title' => __( 'Navigation', 'flexwebsite' ),
            'category' => 'flex',
            'render_template' => 'blocks/navigation/navigation.php',
            'supports' => array('color' => array('background' => false,'text' => false,'gradients' => false,'link' => false,),'typography' => array('fontSize' => false,),'anchor' => false,'align' => false,),
            'base_url' => get_template_directory_uri(),
            'base_path' => get_template_directory(),
            'js_file' => 'blocks/navigation/navigation.js',
            'attributes' => array(
                'logo' => array(
                    'type' => 'object',
                    'default' => array('id' => 0, 'url' => esc_url( get_template_directory_uri() . '/images/flex-ui-green-light.svg' ), 'size' => '')
                ),
                'registration_url' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => '')
                )
            ),
            'example' => array(
'logo' => array('id' => 0, 'url' => esc_url( get_template_directory_uri() . '/images/flex-ui-green-light.svg' ), 'size' => ''), 'registration_url' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => '')
            ),
            'dynamic' => true
        ) );
