<section <?php if(empty($_GET['context']) || $_GET['context'] !== 'edit') echo get_block_wrapper_attributes( array('class' => "py-16 md:py-24 lg:pb-52 bg-white", 'style' => "background-image: url('".get_template_directory_uri()."/images/pattern-white.svg'); background-repeat: no-repeat; background-position: center top;", 'id' => "".PG_Blocks::getAttribute( $args, 'section_id' )."", ) ); else echo 'data-wp-block-props="true"'; ?>>
    <div class="container px-4 mx-auto">
        <div class="flex flex-wrap items-center mb-16">
            <div class="w-full md:w-3/4 mb-8 md:mb-0"><span class="inline-block py-px px-2 mb-4 text-xs leading-5 text-green-500 bg-green-100 font-medium uppercase rounded-full shadow-sm"><?php echo PG_Blocks::getAttribute( $args, 'label' ) ?></span>
                <h3 class="font-bold leading-tight mb-4 text-4xl text-darkCoolGray-900 tracking-tighter md:leading-tight md:text-5xl"><?php echo PG_Blocks::getAttribute( $args, 'title' ) ?></h3>
                <p class="text-lg md:text-xl text-coolGray-500 font-medium"><?php echo PG_Blocks::getAttribute( $args, 'subtitle' ) ?></p>
            </div>
            <div class="w-full md:w-1/4">
                <a class="flex items-center justify-center py-2 px-4 ml-auto text-sm leading-5 text-green-50 font-medium bg-green-500 hover:bg-green-600 focus:ring-2 focus:ring-green-500 focus:ring-opacity-50 md:max-w-max rounded-md" href="<?php echo esc_url( get_post_type_archive_link( 'post' ) ); ?>"><?php echo PG_Blocks::getAttribute( $args, 'button_label' ) ?></a>
            </div>
        </div>
        <div class="flex flex-wrap -mx-4">
            <?php
                $post_query_args = array(
                    'post_type' => 'post',
                    'posts_per_page' => PG_Blocks::getAttribute( $args, 'number' ),
                    'ignore_sticky_posts' => true,
                    'order' => 'DESC',
                    'orderby' => 'date',
                    'tax_query' => array_filter( array(PG_Helper::getTaxonomyQuery( 'category', PG_Blocks::getAttribute( $args, 'cats' ) ), PG_Helper::getTaxonomyQuery( 'post_tag', 'favorite' )) )
                )
            ?>
            <?php $post_query = new WP_Query( $post_query_args ); ?>
            <?php if ( $post_query->have_posts() ) : ?>
                <?php while ( $post_query->have_posts() ) : $post_query->the_post(); ?>
                    <?php PG_Helper::rememberShownPost(); ?>
                    <div <?php post_class( 'w-full md:w-1/2 lg:w-1/3 px-4 mb-8' ); ?> id="post-<?php the_ID(); ?>"><a class="block mb-6 overflow-hidden rounded-md" href="<?php echo esc_url( get_permalink() ); ?>"> <?php echo PG_Image::getPostImage( null, 'post-thumbnail', array(
                                    'class' => 'aspect-[4/3] object-cover rounded-2xl w-full',
                                    'sizes' => '(max-width: 640px) 95vw, (max-width: 768px) 84vw, (max-width: 1536px) 36vw, 480px'
                            ), 'both', null ) ?> </a>
                        <p class="mb-2 text-coolGray-500 font-medium"><a href="<?php echo get_author_posts_url( false, get_the_author_meta( 'user_nicename', false ) ) ?>"><?php echo get_the_author_meta( 'display_name', false ) ?></a> &bull; <span><?php the_time( get_option( 'date_format' ) ); ?></span></p><a class="inline-block mb-4 text-2xl leading-tight text-coolGray-800 hover:text-coolGray-900 font-bold hover:underline" href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title(); ?></a>
                        <p class="mb-4 text-base md:text-lg text-coolGray-400 font-medium"><?php echo get_the_excerpt(); ?></p>
                        <?php $terms = get_the_terms( get_the_ID(), 'category' ) ?>
                        <?php if( !empty( $terms ) ) : ?>
                            <?php foreach( $terms as $term ) : ?>
                                <a class="inline-block py-1 px-3 text-xs leading-5 text-green-500 hover:text-green-600 font-medium uppercase bg-green-100 hover:bg-green-200 rounded-full shadow-sm" href="<?php echo esc_url( get_term_link( $term, 'category' ) ) ?>"><?php echo $term->name; ?></a>
                            <?php endforeach; ?>
                        <?php endif; ?>
                    </div>
                <?php endwhile; ?>
                <?php wp_reset_postdata(); ?>
            <?php else : ?>
                <p><?php _e( 'Sorry, no posts matched your criteria.', 'flexwebsite' ); ?></p>
            <?php endif; ?>
        </div>
    </div>
</section>