<?php

        PG_Blocks::register_block_type( array(
            'name' => 'flexwebsite/posts',
            'title' => __( 'Posts', 'flexwebsite' ),
            'category' => 'flex',
            'render_template' => 'blocks/posts/posts.php',
            'supports' => array('color' => array('background' => false,'text' => false,'gradients' => false,'link' => false,),'typography' => array('fontSize' => false,),'anchor' => false,'align' => false,),
            'base_url' => get_template_directory_uri(),
            'base_path' => get_template_directory(),
            'js_file' => 'blocks/posts/posts.js',
            'attributes' => array(
                'number' => array(
                    'type' => 'text',
                    'default' => ''
                ),
                'section_id' => array(
                    'type' => 'text',
                    'default' => ''
                ),
                'label' => array(
                    'type' => 'text',
                    'default' => 'Blog'
                ),
                'title' => array(
                    'type' => 'text',
                    'default' => 'Blog posts'
                ),
                'subtitle' => array(
                    'type' => 'text',
                    'default' => 'With our integrated CRM, project management, collaboration and invoicing capabilities, you can manage your business in one secure platform.'
                ),
                'button_label' => array(
                    'type' => 'text',
                    'default' => 'View All Posts'
                )
            ),
            'example' => array(
'number' => '', 'section_id' => '', 'label' => 'Blog', 'title' => 'Blog posts', 'subtitle' => 'With our integrated CRM, project management, collaboration and invoicing capabilities, you can manage your business in one secure platform.', 'button_label' => 'View All Posts'
            ),
            'dynamic' => true
        ) );
